View a markdown version of this page

GetJob - AWS End User Messaging

GetJob

Retrieves the current state of an asynchronous job, including its status and any resources that it created or updated.

Request Syntax

GET /v1/jobs/jobId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

jobId

The unique identifier of the asynchronous job. Use the GetJob operation to check the status of the job and to retrieve its results.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [A-Za-z0-9_-]+

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "brandProfileId": "string", "createdAt": number, "errorCode": "string", "errorMessage": "string", "jobId": "string", "operationType": "string", "resources": [ { "resourceArn": "string", "resourceId": "string", "resourceType": "string" } ], "status": "string", "updatedAt": number }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

brandProfileId

The brand profile that the job operates on. This value is absent for operations that create a brand profile.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [A-Za-z0-9_:/-]+

createdAt

The time when the resource was created, in Unix epoch time.

Type: Timestamp

errorCode

A machine-readable code that identifies why the job failed. This value is present only when the job status is FAILED.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

errorMessage

A human-readable description of why the job failed. This value is present only when the job status is FAILED.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

jobId

The unique identifier of the asynchronous job. Use the GetJob operation to check the status of the job and to retrieve its results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [A-Za-z0-9_-]+

operationType

The type of mutating operation that created the job.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

resources

The resources that were created or updated by the job.

Type: Array of JobResource objects

Array Members: Minimum number of 1 item. Maximum number of 10 items.

status

The current lifecycle status of the job.

Type: String

Valid Values: SUCCESS | PROCESSING | FAILED

updatedAt

The time when the resource was last updated, in Unix epoch time.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException

An unexpected error occurred during the processing of the request.

HTTP Status Code: 500

ResourceNotFoundException

The request references a resource that does not exist. Verify that the resource identifier is correct and try your request again.

resourceId

The identifier of the resource that could not be found.

resourceType

The type of the resource that could not be found.

HTTP Status Code: 404

ThrottlingException

The request was denied because it exceeded the allowed request rate.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service. Check your request parameters and retry the request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: